Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.client
Class TCPIPApplicationConnectionManager

    java.lang.Object
      com.stc.connector.tcpip.model.client.TCPIPApplicationConnectionManager

All Implemented Interfaces:
  java.io.Serializable, javax.resource.spi.ConnectionManager

    public class TCPIPApplicationConnectionManager

extends java.lang.Object
implements javax.resource.spi.ConnectionManager

This class is not a full-featured ConnectionManager. It is ONLY used for my RA non-managed mode test.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/03/03 15:35:59 $
Author:
  Harry Liu
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPApplicationConnectionManager()` Constructor

Method Summary
`java.lang.Object` | `allocateConnection(javax.resource.spi.ManagedConnectionFactory mcf, javax.resource.spi.ConnectionRequestInfo cri)` The method allocateConnection gets called by the resource adapter's connection factory instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPApplicationConnectionManager

    public TCPIPApplicationConnectionManager()

  Constructor

Method Detail

### allocateConnection

    public java.lang.Object allocateConnection(javax.resource.spi.ManagedConnectionFactory mcf,
                                               javax.resource.spi.ConnectionRequestInfo cri)
                                        throws javax.resource.ResourceException

  The method allocateConnection gets called by the resource adapter's connection factory instance. This lets connection factory instance (provided by the resource adapter) pass a connection request to the ConnectionManager instance. The connectionRequestInfo parameter represents information specific to the resource adapter for handling of the connection request.

  Specified by:
    `allocateConnection` in interface `javax.resource.spi.ConnectionManager`
  Parameters:
    `mcf` - Used by application server to delegate connection matching/creation.
    `cri` - Connection request Information.
  Returns:
    Connection handle with an EIS specific connection interface.
  Throws:
    `javax.resource.ResourceException` - on error.
  See Also:
    `ConnectionManager.allocateConnection(ManagedConnectionFactory, ConnectionRequestInfo)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD